import datetime

from mongoengine import *


class Project(Document):
    
    name = StringField(required=True)
    name_short = StringField(required=False)
    project_id = StringField(required=True)

    date = DateTimeField(default=datetime.datetime.now,
                         wtf_options={"render_kw": {
                             "step": "60"
                         }})

    tags = ListField(StringField())

    meta = {
        'allow_inheritance': True,
        'index_opts': {},
        'index_background': True,
        'index_cls': False,
        'auto_create_index': True,
        'collection': 'projects'
    }

